/*
*	FILE:		frame.h
*	AUTHOR:		R. Gonzalez
*	CREATED:	October 3, 1990
*
*	Defines window frame (center, width, and height) for picture
*	application.  Useful for 2D mapping.
*/

# ifndef	frame_h
# define	frame_h

# include	"class.h"

/******************************************************************
*   general-purpose frame
******************************************************************/
struct	Frame:Generic_Class
{
	double			x;		/* public */
	double			y;		/* public */
	double			width;	/* public */
	double			height;	/* public */
		
	boolean			init(void);
	virtual void	set(double,double,double,double);
};

# endif