/*
*	FILE:		ringpict.h
*	AUTHOR:		R. Gonzalez
*	CREATED:	November 7, 1990
*
*	Defines sample pict application class.
*/

# ifndef	ringpict_h
# define	ringpict_h

# include	"pict.h"
# include	"camera.h"
# include	"trans.h"
# include	"segment.h"

/******************************************************************
*   ring_pict application
******************************************************************/
struct	Ring_Pict:Generic_Pict
{
	Projector		*projector1,
					*projector2,
					*projector3;
	Camera			*camera1,
					*camera2;
	Segment			*segment;
			
	boolean			init(void);
	void			run(void);
	boolean			destroy(void);
};

# endif