/*
*	FILE:		comapp.h
*	AUTHOR:		R. Gonzalez
*	CREATED:	August 25, 1990
*
*	Defines command-line application class.
*/

# ifndef	comapp_h
# define	comapp_h

# include	"app.h"
# include	"comline.h"

# define	PARENT_CLASS	Command_App

/************************************************************************
*	command-line application.  Suitable for stdio environments.
************************************************************************/
struct	Command_App:Generic_App
{
	Comline			*comline;
	
	boolean			init(void);
	void			run(void);
	void			query(char*,char[]);
	void			respond(char*);
	virtual void	list_commands(void);
	boolean			destroy(void);
};

# endif
