/*
*	FILE:		comline.h
*	AUTHOR:		R. Gonzalez
*	CREATED:	August 25, 1990
*
*	Defines command line class for Command_App.
*/

# ifndef	comline_h
# define	comline_h

# include	"class.h"

/************************************************************************
*	command line
************************************************************************/
struct	Comline:Generic_Class
{
	char			*line;
	int				start_next_argument;
	
	boolean			init(void);
	virtual boolean	read(void);
	virtual void	get_command(char[]);
	virtual void	get_next_argument(char[]);
	boolean			destroy(void);
};

# endif
