/*
*	FILE:		anringpi.h
*	AUTHOR:		R. Gonzalez
*	CREATED:	November 8, 1990
*
*	Defines sample animated pict application class.
*/

# ifndef	anringpi_h
# define	anringpi_h

# include	"pict.h"
# include	"camera.h"
# include	"trans.h"
# include	"animate.h"

/******************************************************************
*   an_ring_pict application
******************************************************************/
struct	An_Ring_Pict:Generic_Pict
{
	Projector		*projector1,
					*projector2;
	Camera			*camera1,
					*camera2;
	Animated_Segment	*segment;
			
	boolean			init(void);
	void			run(void);
	boolean			destroy(void);
};

# endif