/*
*	FILE:		error.c
*	AUTHOR:		R. Gonzalez
*	CREATED:	October 6, 1990
*
*	methods for error class, for reporting errors.
*/

# include	"error.h"
# include	<stdlib.h>
# include	<stdio.h>
# include	<string.h>

/******************************************************************
*	initialize
******************************************************************/
boolean	Error::init(void)
{
	error_file = fopen("error.fil","w");
	
	return TRUE;
}

/******************************************************************
*	report error
******************************************************************/
void	Error::report(char *error_string)
{
	fprintf(error_file,"%s\n",error_string);
}

/******************************************************************
*	destroy
******************************************************************/
boolean	Error::destroy(void)
{
	fclose(error_file);
			
	return TRUE;
}

