/*
*	FILE:		pict.h
*	AUTHOR:		R. Gonzalez
*	CREATED:	November 7, 1990
*
*	Defines generic pict application class.  All picture applications
*	should descend from this class.
*/

# ifndef	pict_h
# define	pict_h

# include	"class.h"
# include	"screen.h"
# include	"backdrop.h"

/******************************************************************
*   generic pict application - derived classes should add one or
*	more cameras, projectors, and segments
******************************************************************/
struct	Generic_Pict:Generic_Class
{
	Screen				*screen;
	Backdrop_Projector	*backdrop;
			
	boolean				init(void);
	virtual void		run(void);
	boolean				destroy(void);
};

# endif